org.jbpm.kie.services.impl.bpmn2

## Class UserTaskDefinitionImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.bpmn2.UserTaskDefinitionImpl

- All Implemented Interfaces:
    Serializable, UserTaskDefinition

      public class UserTaskDefinitionImpl
      extends Object
      implements UserTaskDefinition, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskDefinitionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getAssociatedEntities()`
    `String` | `getComment()`
    `String` | `getCreatedBy()`
    `String` | `getName()`
    `Integer` | `getPriority()`
    `Map<String,String>` | `getTaskInputMappings()`
    `Map<String,String>` | `getTaskOutputMappings()`
    `boolean` | `isSkippable()`
    `void` | `setAssociatedEntities(Collection<String> associatedEntities)`
    `void` | `setComment(String comment)`
    `void` | `setCreatedBy(String createdBy)`
    `void` | `setName(String name)`
    `void` | `setPriority(Integer priority)`
    `void` | `setSkippable(boolean skippable)`
    `void` | `setTaskInputMappings(Map<String,String> taskInputMappings)`
    `void` | `setTaskOutputMappings(Map<String,String> taskOutputMappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskDefinitionImpl

          public UserTaskDefinitionImpl()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `UserTaskDefinition`

    - #### getPriority

          public Integer getPriority()

      Specified by:
        `getPriority` in interface `UserTaskDefinition`

    - #### getComment

          public String getComment()

      Specified by:
        `getComment` in interface `UserTaskDefinition`

    - #### getCreatedBy

          public String getCreatedBy()

      Specified by:
        `getCreatedBy` in interface `UserTaskDefinition`

    - #### isSkippable

          public boolean isSkippable()

      Specified by:
        `isSkippable` in interface `UserTaskDefinition`

    - #### getAssociatedEntities

          public Collection<String> getAssociatedEntities()

      Specified by:
        `getAssociatedEntities` in interface `UserTaskDefinition`

    - #### getTaskInputMappings

          public Map<String,String> getTaskInputMappings()

      Specified by:
        `getTaskInputMappings` in interface `UserTaskDefinition`

    - #### getTaskOutputMappings

          public Map<String,String> getTaskOutputMappings()

      Specified by:
        `getTaskOutputMappings` in interface `UserTaskDefinition`

    - #### setName

          public void setName(String name)

    - #### setPriority

          public void setPriority(Integer priority)

    - #### setComment

          public void setComment(String comment)

    - #### setCreatedBy

          public void setCreatedBy(String createdBy)

    - #### setSkippable

          public void setSkippable(boolean skippable)

    - #### setAssociatedEntities

          public void setAssociatedEntities(Collection<String> associatedEntities)

    - #### setTaskInputMappings

          public void setTaskInputMappings(Map<String,String> taskInputMappings)

    - #### setTaskOutputMappings

          public void setTaskOutputMappings(Map<String,String> taskOutputMappings)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.